JasPer 4.2.8 |

Loading...
Searching...
No Matches
jas_image_fmtinfo_t Struct Reference
Image Representation

Image format information. More...

`#include <jas_image.h>`

## Public Attributes
int | id
char * | name
char ** | exts
int | enabled
char * | desc
jas_image_fmtops_t | ops

## Detailed Description

Image format information.

## Member Data Documentation

## ◆ desc

char* jas_image_fmtinfo_t::desc

A brief description of the format.

## ◆ enabled

int jas_image_fmtinfo_t::enabled

A boolean flag indicating if this format is enabled.

## ◆ exts

char** jas_image_fmtinfo_t::exts

The table of file name extensions associated with this format.

## ◆ id

int jas_image_fmtinfo_t::id

The ID for this format.

## ◆ name

char* jas_image_fmtinfo_t::name

The name by which this format is identified.

## ◆ ops

jas_image_fmtops_t jas_image_fmtinfo_t::ops

The operations for this format.

The documentation for this struct was generated from the following file:

- jas_image.h